Bug 1569300 - qemu-img hang during convert after enlarging overlay
Summary: qemu-img hang during convert after enlarging overlay
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Ademar Reis
QA Contact: Ping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 01:19 UTC by Fam Zheng
Modified: 2018-06-13 02:50 UTC (History)
10 users (show)

Fixed In Version: QEMU 2.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-20 14:10:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1535582 0 high CLOSED Require qemu > 2.10 and remove conditional -U support checks 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1567806 0 unspecified CLOSED [CentOS] Require qemu-kvm-rhev > 2.10 2021-02-22 00:41:40 UTC

Internal Links: 1535582 1567806

Description Fam Zheng 2018-04-19 01:19:29 UTC
Version: qemu-kvm-rhev-2.9.0-16.el7_4.14

qemu-img convert has a bug that it will hang if the source base is smaller than overlay:

qemu-img create -f qcow2 test.qcow2 100m
qemu-img create -F qcow2 -f qcow2 -b test.qcow2 overlay.qcow2
qemu-img resize overlay.qcow2 +20m
qemu-img create -F qcow2 -f qcow2 -b overlay.qcow2 overlay2.qcow2
qemu-img convert overlay2.qcow2 -f qcow2 -O qcow2 combined.qcow2

On RHEL 7.5, qemu-kvm-rhev-2.10.0 has no such issue. This bug is to track the issue for 7.4.z.

Comment 2 Fam Zheng 2018-04-19 01:21:11 UTC
Two patches fix the problem in upstream:

commit c61e684e44272f2acb2bef34cf2aa234582a73a9 (tag: block-pull-request)
Author: Eric Blake <eblake@redhat.com>

    block: Exploit BDRV_BLOCK_EOF for larger zero blocks

commit fb0d8654ffc3ea1494067327fc4c4da5d0872724 (refs/bisect/ok)
Author: Eric Blake <eblake@redhat.com>

    block: Add BDRV_BLOCK_EOF to bdrv_get_block_status()

Comment 4 Fam Zheng 2018-04-20 01:23:26 UTC
No customer demand. This was reported on upstream mailing list by a qemu-kvm-ev 7.4 user, so I'm creating a bug just in case we need this.

Comment 5 Ademar Reis 2018-04-20 14:10:48 UTC
(In reply to Fam Zheng from comment #4)
> No customer demand. This was reported on upstream mailing list by a
> qemu-kvm-ev 7.4 user, so I'm creating a bug just in case we need this.

OK, closing it as CURRENTRELEASE then, given it's fixed in RHEL-7.5 which is GA.


Note You need to log in before you can comment on or make changes to this bug.